Platform
Catalog/Edit image/Nano Banana Pro Edit
IMAGE → IMAGE · Google

Nano Banana Pro Edit

Nano Banana Pro Edit uses Google's Nano Banana Pro for high-quality edits from a text instruction, combining up to 6 input images at up to 4K.
PRICE0.27 creditsper image
AVG TIME~15sestimate
OUTPUTimagesync
Open in playground

Inputs

promptrequired · text
imagerequired · Image — artifact id or https URL
params.aspect_ratioauto | 1:1 | 5:4 | 4:3 | 3:2 | 16:9 | 21:9 | 4:1 | 8:1 | 4:5 | 3:4 | 2:3 | 9:16 | 1:4 | 1:8 · default auto
params.resolution1K | 2K | 4K · default 1K
Monthly estimate
1,000 × 0.27 credits270.00 credits
curl https://platform.4i.app/api/v1/run \
  -H "Authorization: Bearer $FOURI_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "service": "google/nano-banana-pro-edit",
    "input": {
      "prompt": "Describe the edit…",
      "image": "img_… or https://…"
    },
    "params": {
      "aspect_ratio": "auto",
      "resolution": "1K"
    }
  }'
Every output has an artifact_id. Pass it as input to any compatible service.
Get your API key →